const pkg = require('./package');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const webpack = require('webpack');

const isProd = process.env.NODE_ENV === 'production';

module.exports = {
  apiPath: 'stubs/api',
  apps: {
    main: {
        version: 'master',
        name: 'cleanName',
    },
},
  webpackConfig: {
    output: {
      publicPath: isProd
        ? '/'
        : `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`,
    },
    plugins: [
      new HtmlWebpackPlugin({}),
      new webpack.DefinePlugin({
        IS_PROD: process.env.NODE_ENV === 'production',
      }),
    ],
  },
  /* use https://kc.admin.inno-js.ru/ to create config, navigations and features */
  navigations: {},
  features: {},
  config: {},
};
